using System;
using System.Collections.Generic;
using System.Text;
using TERASOLUNA.Fw.Common.Logging;

namespace TERASOLUNA.Fw.CommonUT.Logging
{
    /// <summary>
    /// LogFactory 単体試験用のスタブクラスです。
    /// </summary>
    /// <remarks>
    /// LogFactory を継承しているが GetInstance メソッドの返り値が null であるクラスです。
    /// </remarks>
    public class LogFactory_Stub06 : LogFactory
    {
        public LogFactory_Stub06() { }

        protected override ILog GetInstance(string className, params object[] args)
        {
            return null;
        }

        protected override ILog GetInstance(Type classType, params object[] args)
        {
            return null;
        }
    }
}
